
Redmine - Feature #3640

Freeze / Close Projects

2009-07-20 00:44 - Anonymous

Status: Closed Start date: 2009-07-20

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed   

Description

The same as archiving a project, except it isn't hidden.

This allows you to effectively mark a project as complete or finished, while still allowing users to download the files, browse the wiki

and repository, etc.

Basically, the project becomes read-only.

I think this is needed because a project doesn't simply become obsolete and useless just because development has "officially"

stopped, as archiving implies by hiding it. People may still want to use the software or even fork the project and continue where you

left off.

Related issues:

Related to Redmine - Feature #4202: Allow viewing of tickets for archived pro... Closed 2009-11-12

Related to Redmine - Patch #11254: Bulgarian translation (r9884) Closed

Related to Redmine - Feature #6049: Option to search archived projects Closed 2010-08-05

Related to Redmine - Feature #7364: Make closed issues in archived projects s... Closed 2011-01-18

Related to Redmine - Defect #11214: Related issues in archived projects do no... Closed

Related to Redmine - Feature #9829: Time of archived project in spent time re... Closed

Has duplicate Redmine - Feature #5541: Project Status "Closed" Closed 2010-05-17

Has duplicate Redmine - Feature #9082: Project Status - "On Hold" or "Suspended" Closed 2011-08-18

Has duplicate Redmine - Feature #7100: non admin closing/freeze (archive) and... Closed 2010-12-13

Has duplicate Redmine - Feature #8681: Closed & Archived projects Closed 2011-06-25

Associated revisions

Revision 9883 - 2012-06-25 19:49 - Jean-Philippe Lang

Ability to close projects (read-only) (#3640).

A new permission (Close/reopen project) is available to give non-admin users the ability to close their projects.

Revision 9884 - 2012-06-25 19:50 - Jean-Philippe Lang

Fills locales (#3640).

Revision 9885 - 2012-06-25 20:39 - Jean-Philippe Lang

Visual hint for closed projects on project list (#3640).

Revision 9886 - 2012-06-25 20:44 - Jean-Philippe Lang

Moved logic relative to project status from User to Project model (#3640).

Revision 9887 - 2012-06-25 22:08 - Jean-Philippe Lang

Makes Redmine.pm handle project status (#3640).

Repositories of archived projects are no longer accessible. Repositories of closed projects are read-only.

History

#1 - 2009-09-25 06:15 - Vinod Singh

+1
#2 - 2010-09-21 19:10 - Eugniy Belyaev

This would be really nice.

#3 - 2010-10-25 22:06 - James Robertson

+1

#4 - 2011-01-14 19:30 - Shaytu Schwandes

+1

#5 - 2011-08-18 12:23 - Hardik Patel

+1

#6 - 2011-08-18 13:45 - Terence Mill

+1

Could be done as workaround by removing all write rights for roles for users in that project

#7 - 2011-10-26 21:12 - Rocco Stanzione

+1

#8 - 2011-12-15 11:59 - Eric Voisard

+1

#9 - 2012-06-25 20:32 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

#10 - 2012-06-26 18:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

New permission added "Close/reopen project" to allow non admin users to close their projects. Once closed, a project is read-only and can be

reopened.

#11 - 2012-06-27 05:23 - James Robertson

Thanks Jean-Philippe. Although I personally don't need this feature much any more, I know that it is very handy for other roles/processes I have used

in the past.

#12 - 2012-11-26 11:23 - Egidijus Zideckas

Thanks, thumbs up !!

#13 - 2013-08-27 07:40 - Andreas Hestermeyer

Thumbs up!

And: How can I actually close a project now? I don't find any button on any screen ... thanks for any help!

#14 - 2013-09-04 05:32 - Toshi MARUYAMA

- File close-project.png added

Andreas Hestermeyer wrote:

Thumbs up!

And: How can I actually close a project now? I don't find any button on any screen ... thanks for any help!

  close-project.png 

#15 - 2013-09-13 19:23 - Andreas Hestermeyer

Thanks, that's right! And it worked after we updated the show.html.erb of the projects accordion plugin we used. That plugin wasn't properly updated

to show the close link.

2025-07-03 2/3



#16 - 2014-02-11 18:36 - Yamuna Vee

Andreas Hestermeyer wrote:

Thanks, that's right! And it worked after we updated the show.html.erb of the projects accordion plugin we used. That plugin wasn't properly

updated to show the close link.

 Could you share how to update the show.html.erb?  I just installed projects accordion and have lost the close button link.

Thanks!

Never mind - I just had to copy the close project section from apps\redmine\htdocs\app\views\projects\show.html.erb into the corresponding location

in apps\redmine\htdocs\plugins\redmine_projects_accordion\app\views\projects\show.html.erb.  But many thanks for the pointer!

#17 - 2015-04-07 04:38 - Go MAEDA

- Related to Feature #7364: Make closed issues in archived projects still accessible read only added

#18 - 2017-07-16 04:03 - Go MAEDA

- Related to Defect #11214: Related issues in archived projects do not show up for their parent issues added

#19 - 2018-11-03 06:32 - Go MAEDA

- Related to Feature #9829: Time of archived project in spent time report added

Files

close-project.png 11 KB 2013-09-04 Toshi MARUYAMA

Powered by TCPDF (www.tcpdf.org)

2025-07-03 3/3

http://www.tcpdf.org

